@echo off

echo Skybox/Environmap converter - PRODUCTION
echo Output size for skybox: 2048 x 2048 px
echo Output size for sun/shadow maps: 1024 x 1024 px
echo ----------------------------------------
echo.

setlocal ENABLEDELAYEDEXPANSION
rem *** Take the cmd-line, remove all until the first parameter
rem *** Copy cmdcmdline without any modifications, as cmdcmdline has some strange behaviour
set "params=!cmdcmdline!"
set "params=!params:~0,-1!"
set "params=!params:*" =!"
set count=0

rem Split the parameters on spaces but respect the quotes
for %%G IN (!params!) do (
  set /a count+=1
  set "item_!count!=%%~G"
  rem echo !count! %%~G
)

set files=

rem list the parameters
for /L %%n in (1,1,!count!) DO (
  set files=!files! "!item_%%n!"
  rem echo %%n #!item_%%n!#
)

set PATH=%PATH%;%~dp0\..

"%~dp0\EnvironmentMapConverter.exe" skySize 2048 envSize 1024 %files%


pause

exit
